$(document).ready(function () {

    var blind = $.cookie('blind');
    if (blind == 'on') {
        $(".blind").show(0);
    }

    var blindImg = $.cookie('blind_image');
    if (blindImg == 'off') {
        $("*:not(.sp_ignored) img").addClass('imgoff');
    }

    if (blindImg == 'on') {
        $("*:not(.sp_ignored) img").removeClass('imgoff');
    }

    var blindFont = $.cookie('blind_font');
    if (blindFont == '100') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font108').removeClass('font110');
    }

    if (blindFont == '102') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font104').removeClass('font106').removeClass('font108').removeClass('font110').addClass('font102');
    }

    if (blindFont == '104') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font106').removeClass('font108').removeClass('font110').addClass('font104');
    }

    if (blindFont == '106') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font108').removeClass('font110').addClass('font106');
    }

    if (blindFont == '108') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font110').addClass('font108');
    }

    if (blindFont == '110') {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font108').addClass('font110');
    }

    var blindColor = $.cookie('blind_color');
    if (blindColor == 'default') {
        $("*").removeClass('blackwhite').removeClass('whiteblack').addClass('default');
    }

    if (blindColor == 'whiteblack') {
        $("*").removeClass('default').removeClass('blackwhite').addClass('whiteblack');
    }

    if (blindColor == 'blackwhite') {
        $("*").removeClass('default').removeClass('whiteblack').addClass('blackwhite');
    }

    $(".special__link").click(function () {
        $(".blind").show(0);
        $.cookie('blind', 'on', {expires: 7, path: '/'});
    });

    $(".blind__link--blindoff").click(function (e) {
        $("*").removeClass('imgoff').removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font108').removeClass('font110').removeClass('whiteblack').removeClass('blackwhite').removeClass('default');
        $(".blind").hide(0);
        $.cookie('blind', null);
        $.cookie('blind_image', null);
        $.cookie('blind_font', null);
        $.cookie('blind_color', null);
        e.preventDefault();
    });
    $(".blind__link--imgoff").click(function (e) {
        $("*:not(.sp_ignored) img").addClass('imgoff');
        $.cookie('blind_image', 'off', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--imgon").click(function (e) {
        $("*:not(.sp_ignored) img").removeClass('imgoff');
        $.cookie('blind_image', 'on', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize100").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font108').removeClass('font110');
        $.cookie('blind_font', '100', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize102").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font104').removeClass('font106').removeClass('font108').removeClass('font110').addClass('font102');
        $.cookie('blind_font', '102', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize104").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font106').removeClass('font108').removeClass('font110').addClass('font104');
        $.cookie('blind_font', '104', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize106").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font108').removeClass('font110').addClass('font106');
        $.cookie('blind_font', '106', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize108").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font110').addClass('font108');
        $.cookie('blind_font', '108', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--fontsize110").click(function (e) {
        $("*:not(.sp_ignored)").removeClass('font100').removeClass('font102').removeClass('font104').removeClass('font106').removeClass('font108').addClass('font110');
        $.cookie('blind_font', '110', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--default").click(function (e) {
        $("*").removeClass('blackwhite').removeClass('whiteblack').addClass('default');
        $.cookie('blind_color', 'default', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--whiteblack").click(function (e) {
        $("*").removeClass('default').removeClass('blackwhite').addClass('whiteblack');
        $.cookie('blind_color', 'whiteblack', {expires: 7, path: '/'});
        e.preventDefault();
    });
    $(".blind__link--blackwhite").click(function (e) {
        $("*").removeClass('default').removeClass('whiteblack').addClass('blackwhite');
        $.cookie('blind_color', 'blackwhite', {expires: 7, path: '/'});
        e.preventDefault();
    });

});
